/*------------------------------------------------------------------*/
/*           Who  Full Name                                         */
/*           ---  ---------------                                   */
/*           xxx  x. xxxxxx                                         */
/*                                                                  */
/* Chg.Date  By   Reason                                            */
/* ========  ===  ===============================================   */
/* xx-xx-xx  xxx  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx.              */
/*                                                                  */
/*------------------------------------------------------------------*/

/*------------------------------------------------------------------*/
/* main  = program entry point.                                     */
/*------------------------------------------------------------------*/
 
/*
                                                             
                                                            
Desktop Observatory C Metering routine             
                                                            
Copyright (C) 1993 Pinnacle Technology Corporation

DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
sample code created by Pinnacle. This sample code is not
part of any standard or Pinnacle product and is provided to you solely
for  the purpose of assisting you in the development of your
applications.  The code is provided "AS IS", without
warranty of any kind. Pinnacle shall not be liable for any damages
arising out of your use of the sample code, even if they have been
advised of the possibility of such damages.                                                    *
                                                            
*/ 
 
 
#include <stdio.h> 
#define INCL_DOSFILEMGR
#include <os2.h> 

int main (argc, argv)
int argc;
char * argv[];
   {
FILE * f_lid;         
int i; 
char dobuffer[81]; 
char maskbuff[256]; 
HWND hwndWork; 
int  count; 
int  max; 
BOOL Bcount = FALSE; 
BOOL Bmax = FALSE; 
CHAR * hwin; 
CHAR * file; 
CHAR * action; 
CHAR argcnt[4]; 
 
   hwin = argv[1]; 
   file = argv[2];
   action = argv[3]; 
 
   hwndWork = atoi(hwin);  /* window handle passed from the Observatory */
 
   if ( (f_lid = fopen(argv[2],"r+")) == NULL)   /* read  */
      {
      return(0);
      }
 
 
   while (1)
      {
      if (fgets(dobuffer, 80, f_lid) == NULL)    /* get the count */
         {
         break;    
         }
 
      if (!Bcount)
         {
         count = atoi(dobuffer);  /* convert to int */
         Bcount = TRUE;           /* we have this one */
         continue;
         }
 
      if (!Bmax)
         {
         max = atoi(dobuffer);    /* get the max */
         Bcount = TRUE;           /* we have this one too */
         continue;
         }
      }
 
   fseek(f_lid,0,0);              /* go to the begining of the file */
 
   if (strcmp(action, "LAUNCH") == 0)
      {
      count++;                    /* bump counter no mater what */
 
      if (count > max)
         {
         WinPostMsg(hwndWork, WM_CLOSE, NULL, NULL);
         }
 
      }
 
   if (strcmp(action, "EXIT") == 0)
      {
      if (count > 0)
          count--;
      }
 
   sprintf(maskbuff,"%i",count);
 
   fwrite(maskbuff, strlen(maskbuff),1,f_lid); /* write the new count */
 
   fclose(f_lid);
 
   return;

   } /* main */
