* Example Control File for FORBROWS
* ***********************************************************************
* Following are the paths for the fora servers.
*
* After the vertical bar is the description
* for the Fora Server.  There should not be a space between the
* final character of the foraserver pathname and the vertical
* bar description delimiter.
*
* The first FORASERVER in the list is the default for new ForBrows users.
* Starting with v2.83, FORASERVER= statements can include non-UNC pathnames.
*
FORASERVER=\\yktos02\core|CORE Conference Disk
FORASERVER=\\ykprs01\devfora|COREDEV Conference Disk
FORASERVER=\\yktos02\ibmpc|IBM Personal Computer Conference Disk (IBMPC)
FORASERVER=\\yktos02\ibmtext|IBM Text Processing Conference Disk (IBMTEXT)
FORASERVER=\\yktos02\ibmvm|IBM VM Conference Disk (IBMVM)
FORASERVER=\\yktos02\ibmunix|IBMUNIX Conference Disk (IBMUNIX)
* The next example statement shows a non-UNC foraserver path.  NOTE that the
* k: disk must already have been accessed before starting FORBROWS
*FORASERVER=k:\|IBMUNIX Conference Disk (IBMUNIX)
*
* ***********************************************************************
* The REPREGSERVER= statement is used to REPlace REGistered SERVER info
* in FORBROWS.INI.  If you someday change FORASERVERs, you will need to
* be able to have the change reflected in the user's registered fora lists.
* Only one REPREGSERVER statement per FORBROWS.CTL file is currently supported.
* The following example changes all occurences of \\os2tools to \\yktos02
* in the user's registered fora lists.
*
*REPREGSERVER=\\yktos02\ibmpc \\yktos02\confdisk\ibmpc
*
* ***********************************************************************
* The HOSTTYPE= statement is used to identify the kinds of EHLLAPI commands
* that FORBROWS should use when uploading an posting appends.  The
* following are currently provided or planned:
*    HOSTTYPE=VM          (for standard VM systems)
*  These are planned, but not yet supported
*    HOSTTYPE=DIALIBM     (for EMEA's DIALIBM systems)
*    HOSTTYPE=IBMLINK     (for IBM/US's IBMLINK...not yet implemented
*
* HOSTTYPE= IBMLINK
HOSTTYPE=VM
*
* ***********************************************************************
* The HOSTSERVER= statement is used to list the various VM TOOLSRUN master
* servers which we can append to.  This info is used in the async version
* of FORBROWS to support building an Append skeleton file in TOOLNOTE
* format.  Currently a max of 20 entries is supported.
*
* The format of this entry is:
*   HOSTSERVER=confname vmmasternode vmserverid diskname
*
* where confname= subdirectory name (lowest level). For example, if
* you keep your fora in c:\conf\fora, then you would use "fora" as
* the first parm after the HOSTSERVER=:
*          HOSTSERVER=FORA YKTVMV IBMPC IBMPC
*
* NOTE: when creating an append, FORBROWS first examines the name of
* the subdirectory of the forum that is being browsed.  It then searches
* thru the HOSTSERVER= statements to see if there is a "confname" value
* that matches the fora subdirectory.  It then uses the information to
* build the "Append:" line.  If there is no HOSTSERVER= statement for
* the fora subdirectory, the "Append:" line will probably contain
* invalid information, and may be rejected during the later upload step.
*
HOSTSERVER=IBMPC YKTVMV IBMPC IBMPC
HOSTSERVER=OS2BBS HONE80 OS2 OS2BBS
HOSTSERVER=IBMVM KGNVMZ IBMVM IBMVM
HOSTSERVER=IBMTEXT ALMVMA TEXTMSTR IBMTEXT
HOSTSERVER=IBMUNIX YKTVMH3 IBMUNIX IBMUNIX
HOSTSERVER=IBMMVS POKVMCR3 TOOLS IBMMVS
HOSTSERVER=CORE YKTVMZ NETLAB CORE
