/*
                                                             
                                                            
Desktop Observatory Rexx Metering routine             
                                                            
Copyright (C) 1993 Pinnacle Technology Corporation

DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
sample code created by Pinnacle. This sample code is not
part of any standard or Pinnacle product and is provided to you solely
for  the purpose of assisting you in the development of your
applications.  The code is provided "AS IS", without
warranty of any kind. Pinnacle shall not be liable for any damages
arising out of your use of the sample code, even if they have been
advised of the possibility of such damages.                                                    *
                                                            
*/ 
 
 
 
TRACE off 
arg argstr
 
hwndWork = word(argstr,1) /* window handle */
event = word(argstr,2)    /* Launch or exit */
 
call rxfuncadd sysloadfuncs, rexxutil, sysloadfuncs
call sysloadfuncs
 
count = Linein(METREDIT.DAT) /* Get current count */
max = Linein(METREDIT.DAT)   /* Get Maximum allowed */
 
if event = 'LAUNCH' then
   do 
   count = count + 1         /* bump count no mater what */
   if count > max then
      do
      call Lineout 'METREDIT.DAT', count ,1
      exit(99);              /* Observatory will close */
      end
 
   call Lineout 'METREDIT.DAT', count ,1
   end
 
if event = 'EXIT' then
   do 
   if count > 0
      then count = count - 1
 
   call Lineout 'METREDIT.DAT', count ,1  /* decrement count */
   end
 
                
exit(0)
