/*====================================================================*/
/*  Name:  EHSINDEL.CMD  -  Delete SM objects                         */
/*====================================================================*/
/*                                                                    */
/*  Licensed Materials - Property of IBM                              */
/*                                                                    */
/*  5621-404 (C) Copyright IBM Corp. 1993                             */
/*  5622-018 (C) Copyright IBM Corp. 1993                             */
/*                                                                    */
/*  All rights reserved.                                              */
/*  US Government Users Restricted Rights -                           */
/*  Use, duplication or disclosure restricted                         */
/*  by GSA ADP Schedule Contract with IBM Corp.                       */
/*                                                                    */
/*  See Copyright Instructions.                                       */
/*                                                                    */
/*====================================================================*/
/* delete object */
arg obid
if obid = "" then do
  say 'This CMD file will delete SM/2 objects -           '
  say 'Enter:  EHSINDEL A  to delete ALL objects          '
  say 'Enter:  EHSINDEL S  to delete Server object        '
  say 'Enter:  EHSINDEL B  to delete User''s Guide object '
 end
if obid = "A" then
  signal ALL
else
  do
  if obid = "S" then
    signal SERVER
  else
    do
    if obid = "B" then
      signal BOOK
    else
      signal END
    end
 end
ALL:
ehsinwps 's "<EHS_PROD>" NODELETE=NO'
ehsinwps 'd "<EHS_PROD>"'
signal END
SERVER:
ehsinwps 's "<EHS_SERV>"  EHSCOMMAND=DELETE'
signal END
BOOK:
ehsinwps 'd "<EHS_BOOK>"'
END:
exit
