/*====================================================================*/
/*  Name:  EHSINSTC.CMD  -  CMD file for installation                 */
/*====================================================================*/
/*                                                                    */
/*  Licensed Materials - Property of IBM                              */
/*                                                                    */
/*  5621-404 (C) Copyright IBM Corp. 1993                             */
/*  5622-018 (C) Copyright IBM Corp. 1993                             */
/*                                                                    */
/*  All rights reserved.                                              */
/*  US Government Users Restricted Rights -                           */
/*  Use, duplication or disclosure restricted                         */
/*  by GSA ADP Schedule Contract with IBM Corp.                       */
/*                                                                    */
/*  See Copyright Instructions.                                       */
/*                                                                    */
/*====================================================================*/
/* Create PROGRAM object on desktop to initialize SM/2    */
/* i.e.: register SM/2 classes and create SM/2 objects.   */

arg fp dp

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

cmdexe=fp'\EHSINMCN.CMD'
objset = 'OBJECTID=<EHS_START>;EXENAME='cmdexe';ICONFILE='fp'\EHSUIFMI.ICO;PARAMETERS='fp' 'dp
ok = SysCreateObject(WPProgram,'Initialize SearchManager/2 DEMO','<WP_DESKTOP>',objset,'r')
exit 0
